<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Matrix&lt; T, SIZE &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_matrix.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Matrix&lt; T, SIZE &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Szablon dla klasy <a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a>.  
 <a href="class_matrix.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Matrix&lt; T, SIZE &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="class_matrix__inherit__graph.png" border="0" usemap="#_matrix_3_01_t_00_01_s_i_z_e_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="_matrix_3_01_t_00_01_s_i_z_e_01_4_inherit__map" id="_matrix_3_01_t_00_01_s_i_z_e_01_4_inherit__map">
<area shape="rect" title="Szablon dla klasy Matrix." alt="" coords="13,5,152,32"/>
<area shape="rect" href="class_matrix.html" title=" " alt="" coords="5,95,160,121"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8d88b4b485a4716a41159891584b0870"><td class="memItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#a8d88b4b485a4716a41159891584b0870">operator()</a> (unsigned int row, unsigned int column)</td></tr>
<tr class="separator:a8d88b4b485a4716a41159891584b0870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6c9a81b3ce322779c80af86eaa1eb4"><td class="memItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#a7b6c9a81b3ce322779c80af86eaa1eb4">operator()</a> (unsigned int row, unsigned int column) const</td></tr>
<tr class="separator:a7b6c9a81b3ce322779c80af86eaa1eb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c8303fdc06fd4c7e292455eae5c416"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#ac2c8303fdc06fd4c7e292455eae5c416">Determinant</a> (<a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; tmp) const</td></tr>
<tr class="separator:ac2c8303fdc06fd4c7e292455eae5c416"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c9497d13380b10beaff841f7f5216f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#ad5c9497d13380b10beaff841f7f5216f">Transpose</a> ()</td></tr>
<tr class="separator:ad5c9497d13380b10beaff841f7f5216f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32da33cf90c74d4a8083a08a3bf1001"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#aa32da33cf90c74d4a8083a08a3bf1001">operator*</a> (const <a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector) const</td></tr>
<tr class="separator:aa32da33cf90c74d4a8083a08a3bf1001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e08e51548e9fc339d66dcec03064d59"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#a3e08e51548e9fc339d66dcec03064d59">Matrix</a> ()</td></tr>
<tr class="separator:a3e08e51548e9fc339d66dcec03064d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4722df35d85e6bb1ac4666cd36063e52"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#a4722df35d85e6bb1ac4666cd36063e52">SwitchRows</a> (<a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;matrix1) const</td></tr>
<tr class="separator:a4722df35d85e6bb1ac4666cd36063e52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af127708865eb29c4157be68d2d783b65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#af127708865eb29c4157be68d2d783b65">GaussElimination</a> (<a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;matrix1) const</td></tr>
<tr class="separator:af127708865eb29c4157be68d2d783b65"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab20a4e5f5647febc866fb32744f54f86"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html#ab20a4e5f5647febc866fb32744f54f86">matrix</a> [SIZE][SIZE] {}</td></tr>
<tr class="separator:ab20a4e5f5647febc866fb32744f54f86"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T, int SIZE&gt;<br />
class Matrix&lt; T, SIZE &gt;</h3>

<p>Klasa <a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a> przechowuje dane o wspolczynnikach przy zmiennych Metody w niej zawarte sa potrzebnymi metodami do wykonywania operacji na tej macierzy, oraz takimi ktore wylicza rozwiazania ukladu rownan</p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>- typ przechowywanego pola </td></tr>
    <tr><td class="paramname">SIZE</td><td>- rozmiar macierzy </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00023">23</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3e08e51548e9fc339d66dcec03064d59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e08e51548e9fc339d66dcec03064d59">&#9670;&nbsp;</a></span>Matrix()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::<a class="el" href="class_matrix.html">Matrix</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Konstruktor klasy <a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a> </p>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00212">212</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac2c8303fdc06fd4c7e292455eae5c416"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2c8303fdc06fd4c7e292455eae5c416">&#9670;&nbsp;</a></span>Determinant()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::Determinant </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;&#160;</td>
          <td class="paramname"><em>tmp</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Funkcja liczaca wyznacznik przy pomocy metody Gaussa Przekazywana jest do niej kopia macierzy, a na tej kopii wykonywana operacje Najpierw usuwane sa zera z przekatnej macierzy Potem tworzona jest macierz trojkatna A wyznacznik to bedzie iloczyn liczb na przekatniej macierzy </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tmp</td><td>- kopia tablicy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- wartosc wyznacznika </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00164">164</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="af127708865eb29c4157be68d2d783b65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af127708865eb29c4157be68d2d783b65">&#9670;&nbsp;</a></span>GaussElimination()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::GaussElimination </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>matrix1</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Funkcja wykonujaca eliminacje Gaussa Modyfikuje macierz tak aby ponizej przkatnej byly same zera (tworzy tak zwana macierz trojkatna) Wykorzystywana do latwego policzenia wyznacznika macierzy </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix1</td><td>- referencja do tablicy na ktorej mam byc wykonana operacja </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00152">152</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="a8d88b4b485a4716a41159891584b0870"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d88b4b485a4716a41159891584b0870">&#9670;&nbsp;</a></span>operator()() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T &amp; <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>column</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Operator funkcyjny dla klasy <a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a> pozowala na zapisywanie w tablicy w odpowiednich miejscach wartosci </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>- numer wiersza </td></tr>
    <tr><td class="paramname">column</td><td>- numer kolumny </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- rzadane przez nas miejsce z tablicy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00113">113</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="a7b6c9a81b3ce322779c80af86eaa1eb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b6c9a81b3ce322779c80af86eaa1eb4">&#9670;&nbsp;</a></span>operator()() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const T &amp; <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>column</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Operator funkcyjny dla klasy <a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a> nie pozwala na zmiane wartosci w tablicy, umozliwa tylko pobranie odpowiedniej komorki </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>- numer wiersza </td></tr>
    <tr><td class="paramname">column</td><td>- numer kolumny </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- rzadane pzrez nas miejsce w tablicy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00118">118</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="aa32da33cf90c74d4a8083a08a3bf1001"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa32da33cf90c74d4a8083a08a3bf1001">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora mnozenia pierwszym niejawnym argumentem jest macierz </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">vector</td><td>- wektor przez ktory bedziemy mnozyc </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- wektor wynikowy tego mnozenia </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00199">199</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="a4722df35d85e6bb1ac4666cd36063e52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4722df35d85e6bb1ac4666cd36063e52">&#9670;&nbsp;</a></span>SwitchRows()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::SwitchRows </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>matrix1</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Funkcja do zamiany wierszy w tablicy Eliminuje ona zera jesli sa na przekatnej macierzy </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix1</td><td>- referencja do tablicy na ktorej ma byc wykonana zmiana </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- ilosc zamian wierszy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00128">128</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="ad5c9497d13380b10beaff841f7f5216f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5c9497d13380b10beaff841f7f5216f">&#9670;&nbsp;</a></span>Transpose()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::Transpose</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Funkcja wykonujaca transpozycje macierzy Modyfikuje istniejącą macierz </p>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00190">190</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab20a4e5f5647febc866fb32744f54f86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab20a4e5f5647febc866fb32744f54f86">&#9670;&nbsp;</a></span>matrix</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt;::matrix[SIZE][SIZE] {}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00025">25</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_matrix_8hh_source.html">Matrix.hh</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_matrix.html">Matrix</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
